import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { FlowchartFormPanel } from '@antv/xflow';
import controlMapService from './control-map-service';
import formSchemaService from './formSchemaService';

const CustomFlowchartFormPanel = () => {
  return (
    <FlowchartFormPanel
      show={true}
      position={{ width: 240, top: 40, bottom: 0, right: 0 }}
      controlMapService={controlMapService}
      formSchemaService={formSchemaService}
    ></FlowchartFormPanel>
  );
};

export default CustomFlowchartFormPanel;
