import React from 'react';
import Rect, { RectServe } from './rect';
import Circle, { CircleServe } from './circle';
import AuditNode, { AuditServe } from './auditNode';

import judgeNode, { judgeServe } from './judgeNode';

export const registerNode = [
  // {
  //   component: Rect,
  //   popover: () => <div>业务组件</div>,
  //   name: 'custom-rect',
  //   width: 120,
  //   height: 50,
  //   label: '业务节点',
  //   service: RectServe,
  // },
  // {
  //   component: Circle,
  //   popover: () => <div>审批节点</div>,
  //   name: 'custom-circle',
  //   width: 90,
  //   height: 90,
  //   label: '审批节点',
  //   service: CircleServe,
  // },
  {
    component: AuditNode,
    popover: () => <div>动作节点</div>,
    name: 'custom-audit',
    width: 130,
    height: 50,
    label: '动作节点',
    service: AuditServe,
  },
  {
    component: judgeNode,
    popover: () => <div>条件节点</div>,
    name: 'custom-judge',
    width: 130,
    height: 50,
    label: '条件节点',
    service: judgeServe,
  },
];
