import { useRequest } from '@umijs/max';
import { queryApproval } from '@/services/boom';

const projectList = () => {
  const { data, loading, run } = useRequest(queryApproval, {
    manual: true,
    cacheKey: 'queryApproval',
  });

  return {
    projectList: data?.list || [],
    loading,
    run,
  };
};
export default projectList;
