import React from 'react';
import { Input, Row, Col, Select } from 'antd';
import { connect } from 'dva';

const { Option } = Select;

function PhoneField(props) {
  const { onChange } = props;
  return (
    <Input.Group size="large">
      <Select defaultValue="+86">
        <Option value="+86">+86</Option>
      </Select>
      <Input style={{ width: '80%' }} {...props} onChange={e => onChange(e.target.value)} />
    </Input.Group>
  );
}

export default PhoneField;
