import React from 'react';
// import './dnd-node.less'

export default function CustomRect(props) {
  const { size = { width: 90, height: 90 }, data } = props;
  const { width, height } = size;
  const { label, stroke, fill, fontFill, fontSize } = data;

  return (
    <div
      className="container"
      style={{
        width,
        height,
        border: `2px solid ${stroke || '#FEDDAE'}`,
        backgroundColor: fill || '#FEF7E7',
        color: fontFill,
        fontSize,
        borderRadius: '50%',
        display: 'flex',
        justifyContent: 'center',
        alignItems:'center'
      }}
    >
      <span>{label}</span>
    </div>
  );
}
