import {
  DefaultFooter,
  PageContainer,
  ProCard,
} from '@ant-design/pro-components';

export default (props) => {
  return (
    <div>
      <PageContainer header={{ title: null }} {...props}>
        <ProCard
          style={{ minHeight: 'calc(100vh - 320px)', overflowY: 'auto' }}
        >
          {props.children}
        </ProCard>
      </PageContainer>
      <div
        style={{
          fontSize: 14,
          color: 'rgba(0, 0, 0, 0.88)',
          textAlign: 'center',
          margin: '20px 0',
        }}
      >
        Copyright © 2021-2031 by GreenTech. All Rights Reserved.
      </div>
    </div>
  );
};
